package a.i.b.a.c.d.b;

import a.f.b.j;
import a.i.b.a.c.b.am;
import a.i.b.a.c.f.a;
import com.tencent.matrix.trace.core.AppMethodBeat;

public interface n {

    public static final class d {
        final a BcB;
        final int BrG;

        public d(a aVar, int i) {
            j.p(aVar, "classId");
            AppMethodBeat.i(120284);
            this.BcB = aVar;
            this.BrG = i;
            AppMethodBeat.o(120284);
        }
    }

    public interface e {
        f a(a.i.b.a.c.f.f fVar, String str);

        c b(a.i.b.a.c.f.f fVar, String str);
    }

    public interface f extends c {
        a a(int i, a aVar, am amVar);
    }

    void a(c cVar);

    void a(e eVar);

    a dWY();

    a.i.b.a.c.d.b.a.a dXA();

    String getLocation();
}
